--
-- self
-- Class for all self
--
-- @author  Mario
-- @date  25/04/10
--
-- Copyright (C) Mario

nakidka = {};

function nakidka.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function nakidka:load(xmlFile)

    self.nakidkas = {};
    self.nakidkas[1] = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.nakidkas.nakidka1#index"));
    self.nakidkas[2] = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.nakidkas.nakidka2#index"));
	
end;

function nakidka:keyEvent(unicode, sym, modifier, isDown)

    if isDown and sym == Input.KEY_x then 
		self.drawnakidka = not self.drawnakidka;
		setVisibility(self.nakidkas[1], self.drawnakidka);
    	setVisibility(self.nakidkas[2], self.drawnakidka);
	end;

end;


function nakidka:update(dt)
end;

function nakidka:draw()
end;

function nakidka:onEnter()

end;

function nakidka:onLeave()
end;

function nakidka:delete()
end;

function nakidka:mouseEvent(posX, posY, isDown, isUp, button)
end;